org.modeshape.jcr

## Class RepositoryConfiguration.TextExtraction

- java.lang.Object
- - org.modeshape.jcr.RepositoryConfiguration.TextExtraction

- Enclosing class:
    RepositoryConfiguration

      @Immutable
      public class RepositoryConfiguration.TextExtraction
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RepositoryConfiguration.TextExtraction(Document textExtracting)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected List<RepositoryConfiguration.Component>` | `getTextExtractors(Problems problems)` Get the ordered list of text extractors.
    `String` | `getThreadPoolName()` Get the name of the thread pool that should be used for sequencing work.
    `protected void` | `validateTextExtractors(Problems problems)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RepositoryConfiguration.TextExtraction

          public RepositoryConfiguration.TextExtraction(Document textExtracting)

  - ### Method Detail

    - #### getThreadPoolName

          public String getThreadPoolName()

      Get the name of the thread pool that should be used for sequencing work.
      Returns:
        the thread pool name; never null

    - #### getTextExtractors

          protected List<RepositoryConfiguration.Component> getTextExtractors(Problems problems)

      Get the ordered list of text extractors. All text extractors are configured with this list.
      Parameters:
        `problems` - the container with which should be recorded any problems during component initialization
      Returns:
        the immutable list of text extractors; never null but possibly empty

    - #### validateTextExtractors

          protected void validateTextExtractors(Problems problems)

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.